"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const pkg = require("../index");
describe('index', () => {
    it('should export all methods', () => {
        expect(pkg).toMatchInlineSnapshot(`
      Object {
        "PubSubHandlerResponse": [Function],
        "PubSubMessage": Object {
          "kind": Symbol(ObjectKind),
          "properties": Object {
            "attributes": Object {
              "additionalProperties": Object {
                "kind": Symbol(StringKind),
                "type": "string",
              },
              "kind": Symbol(DictKind),
              "type": "object",
            },
            "data": Object {
              "kind": Symbol(StringKind),
              "type": "string",
            },
            "messageId": Object {
              "kind": Symbol(StringKind),
              "modifier": Symbol(OptionalModifier),
              "type": "string",
            },
          },
          "required": Array [
            "attributes",
            "data",
          ],
          "type": "object",
        },
        "PubSubRequest": Object {
          "kind": Symbol(ObjectKind),
          "properties": Object {
            "message": Object {
              "kind": Symbol(ObjectKind),
              "properties": Object {
                "attributes": Object {
                  "additionalProperties": Object {
                    "kind": Symbol(StringKind),
                    "type": "string",
                  },
                  "kind": Symbol(DictKind),
                  "type": "object",
                },
                "data": Object {
                  "kind": Symbol(StringKind),
                  "type": "string",
                },
                "messageId": Object {
                  "kind": Symbol(StringKind),
                  "modifier": Symbol(OptionalModifier),
                  "type": "string",
                },
              },
              "required": Array [
                "attributes",
                "data",
              ],
              "type": "object",
            },
            "subscription": Object {
              "kind": Symbol(StringKind),
              "type": "string",
            },
          },
          "required": Array [
            "message",
            "subscription",
          ],
          "type": "object",
        },
        "createPubSubCloudFunctions": [Function],
        "createPubSubServer": [Function],
        "handlePubSubMessage": [Function],
        "pubSubFastifyPlugin": [Function],
      }
    `);
    });
});
