"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const server_1 = require("../methods/server");
const listen = jest.fn();
jest.mock('fastify', () => ({
    __esModule: true,
    default: jest.fn(() => ({ register: () => { }, listen })),
}));
describe('server', () => {
    it('should listen', () => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
        jest.doMock('fastify');
        const handler = jest.fn();
        const server = server_1.createPubSubServer(handler);
        yield server.listen();
        expect(listen).toHaveBeenCalled();
    }));
});
